<!DOCTYPE html>
<html lang="en" xmlns:display="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Widok listy</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KyZXEAg3QhqLMpG8r+8fhAXLRk2vvoC2f3B09zVXn8CA5QIVfZOJ3BCsw2P0p/We" crossorigin="anonymous">
</head>
<body>
    <h5> Pokaż statystyki poszczególnych postaci:</h5>
        <ol>
        {% for character in object_list %}
            <li style="margin 10%">
                <a href="{% url 'character_app:character-detail' character.id %}">{{ character }}</a>
                <form method="get" action="{% url 'character_app:character-delete' character.id %}" style="display: inline;">
                    {% csrf_token %}
                    <input type="submit" value="Usuń" class="btn btn-danger btn-sm">
                </form>

                <a href="{% url 'character_app:character-detail' character.id %}"></a>
                <form method="get" action="{% url 'character_app:character-update' character.id %}" style="display: inline;">
                    {% csrf_token %}
                    <input type="submit" value="Edytuj" class="btn btn-primary btn-sm">
                </form>

            </li>
        {% endfor %}
        </ol>
            <ul style="margin 10%">
                <form action="{% url 'character_app:fight' %}" method="post">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <input type="submit" value="Stwórz walkę">
                </form>
            </ul>
            <ul style="margin 10%">
                <form action="{% url 'character_app:character-create' %}" method="get">
                    {% csrf_token %}
                    {{ form.as_p }}
                    <input type="submit" value="Stwórz postać">
                </form>
            </ul>
</body>
</html>